import { NavigationContainer } from '@react-navigation/native';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import { StatusBar } from 'expo-status-bar';
import { SafeAreaProvider } from 'react-native-safe-area-context';

// Import screens
import HomeScreen from './src/screens/HomeScreen';
import MoviesScreen from './src/screens/MoviesScreen';
import SeriesScreen from './src/screens/SeriesScreen';
import ChannelsScreen from './src/screens/ChannelsScreen';
import MatchesScreen from './src/screens/MatchesScreen';
import VideoPlayerScreen from './src/screens/VideoPlayerScreen';
import SettingsScreen from './src/screens/SettingsScreen';
import LoginScreen from './src/screens/LoginScreen';

const Stack = createNativeStackNavigator();

export default function App() {
  return (
    <SafeAreaProvider>
      <NavigationContainer>
        <Stack.Navigator 
          initialRouteName="Login"
          screenOptions={{
            headerStyle: {
              backgroundColor: '#000',
            },
            headerTintColor: '#fff',
            headerTitleStyle: {
              fontWeight: 'bold',
            },
            headerTitleAlign: 'center',
          }}
        >
          <Stack.Screen name="Login" component={LoginScreen} options={{ title: 'Saqr TV - تسجيل الدخول' }} />
          <Stack.Screen name="Home" component={HomeScreen} options={{ title: 'Saqr TV - الرئيسية' }} />
          <Stack.Screen name="Movies" component={MoviesScreen} options={{ title: 'الأفلام' }} />
          <Stack.Screen name="Series" component={SeriesScreen} options={{ title: 'المسلسلات' }} />
          <Stack.Screen name="Channels" component={ChannelsScreen} options={{ title: 'القنوات' }} />
          <Stack.Screen name="Matches" component={MatchesScreen} options={{ title: 'المباريات' }} />
          <Stack.Screen name="VideoPlayer" component={VideoPlayerScreen} options={{ headerShown: false }} />
          <Stack.Screen name="Settings" component={SettingsScreen} options={{ title: 'الإعدادات' }} />
        </Stack.Navigator>
      </NavigationContainer>
      <StatusBar style="light" />
    </SafeAreaProvider>
  );
}